Title:	Editing Engine  
CSS:	../Style/default.css  
AppleTitle:	MultiMarkdown Composer Help
AppleIcon:	Images/ComposerIcon.png
Description:	The editing engine for Composer has been created specifically to help you write quickly and easily.

<a name="engine"></a>

# ![Icon](../Images/ComposerIcon.png) Composer Editing Engine #

The editing engine behind MultiMarkdown Composer has been completely rewritten to make writing in MultiMarkdown or Markdown as quick and easy as possible.

* Built-in [syntax highlighting](highlighting.html) for MultiMarkdown (or plain Markdown)
* Support for [elastic tabstops](http://nickgravgaard.com/elastictabstops/) --- Composer automatically aligns your document to make it easier to read and use
* Vastly improved performance as compared to version 1
* Assisted typing:
	* Automatically begin formatting the next line when you hit "return" in lists, block quotes, code blocks, etc.
	* Improved handling of "smart pairs" --- open and close parentheses, brackets and more with a single keystroke.  Composer tries to predict what you want it to do so that this feature helps you when you want it, and stays out of your way when you don't.
	* Easily rearrange your text from the keyboard --- shift lines up, down, left, or right with a single keyboard command.
	* Bold and Italic markup handled for you  (you can even add bold or italics across multiple elements (e.g. paragraphs, list items, etc.) --- no other MultiMarkdown/Markdown editor that I have found does this properly)
* Smart list handling:
	* Toggle list types between enumerated and bulleted with a single keystroke on the first line
	* Single-space or double-space your lists automatically
	* Automatically reformat or renumber your lists
	* Paste copied text as a bulleted or enumerated list
* Smart tables:
	* Simply hit "tab" while editing a table to create the next cell
	* Paste tab-delimited text as a table straight from your spreadsheet
* Visually flexible:
	* "[Typewriter Mode](typewriter.html)" --- keep the insertion point vertically centered
	* "[Focus Mode](focus.html)" --- fades the top and bottom of the editing window to help emphasize the area of interest (works best with Typewriter mode enabled)
	* "[Auto Zoom](autozoom.html)" ---- automatically adjusts the font size to make the most of the available window size.  Great when using full screen mode to view larger type
	* Zoom In/Out --- you can manually change the font size with a keystroke to suit your needs
	* "Smart Margins" --- you specify a maximum line length (in characters), and Composer automatically adjusts the left and right margins to match, based on your font size.  Prevents line lengths from becoming difficult to read in larger screens.
* Full Undo/Redo support
