Title:	Export Options  
CSS:	../Style/default.css  
AppleTitle:	MultiMarkdown Composer Help
AppleIcon:	Images/ComposerIcon.png
Description:	Composer offers support for several different export formats.

<a name="export"></a>

# ![Icon](../Images/ComposerIcon.png) Export Options #

MultiMarkdown Composer offers easy access to several different export formats.

<a name="exportFile"></a>

## File Exporting ##

![](../Images/Export.png)

You can use the "Export..." menu command to export a copy of your document in the following file formats:

* **HTML Document** --- This option processes your document using MultiMarkdown (optionally with the Markdown compatibility mode if you have that selected) and saves the resulting HTML.  This gives the same result as if you ran MultiMarkdown from the command-line.

* **Rich Text Document** --- This option processes your document into HTML, and uses Mac OS X system routines to convert HTML into RTF.  The results of this conversion are generally acceptable, but cannot be fine-tuned since it relies on Apple's code.

* **Rich Text Document with Attachments** --- Again, HTML is converted into RTF, but this time generating an "RTFD" document that can contain images.  If your file uses URLS (e.g. `http://example.com/foo.png`) to link to images, these images will be included in your RTF.

* **LaTeX** --- Your document is processed using MultiMarkdown's LaTeX mode to generate a TeX file.  You can then process this file to generate a PDF if desired.

* **Flat OpenOffice Document** --- Your document is processed using MultiMarkdown directly into a ".fodt" file.  OpenOffice (with an optional plugin) and LibreOffice can open this document.  This generally will give better results than using the RTF approach.  Images are not included directly, but can be referenced by URLs, and then can be embedded in your word processor application (e.g. LibreOffice).

* **PDF** --- This approach uses the web preview within Composer to save your document directly to a PDF.  There is less control than when using LaTeX, but for many users the results are acceptable, and much easier.  The web preview pane must be visible for this option to work successfully, and an error will be shown if it is not.

* **Microsoft Word Document** --- MultiMarkdown is uses to create an HTML file, which is then converted to a Microsoft Word document (.doc) using Apple's code.  Much like the RTF option above, there is not much that can be fine-tuned with this approach, but for simple documents the results are acceptable.

<a name="exportClipboard"></a>

## Clipboard Exporting ##

In addition to saving files, you can copy basic formats with the clipboard with the "Copy Document As" menu options:

* **HTML** --- Converts your document into HTML and puts it on the clipboard where you can paste it into another application.
* **Rich Text** ---- Copies the document as Rich Text (aka attributed string) where it can be pasted into other applications capable of using Rich Text (e.g. TextEdit, Pages, Mail, etc.)
* **LaTeX** ---- Converts your document into LaTeX, and puts it on the clipboard.