Title:	Syntax Highlighting  
CSS:	../Style/default.css  
AppleTitle:	MultiMarkdown Composer Help
AppleIcon:	Images/ComposerIcon.png
Description:	Describes Composer's syntax highlighting for MultiMarkdown and Markdown.

<a name="syntaxHighlighting"></a>

# ![Icon](../Images/ComposerIcon.png) Syntax Highlighting #

MultiMarkdown Composer has built in support for syntax highlighting for MultiMarkdown and Markdown.  This means that a plain text file can be displayed in a way that uses fonts/color/spacing to emphasize certain portions of your document.

The actual rules used to apply the highlighting are controlled by "[Style Themes](styles.html)".  You can modify the built-in style sheets, or create your own, in order to visualize your documents the way *you* want to.

By default, Composer highlights using the MultiMarkdown syntax.  You can change to use regular Markdown highlighting with the "Format->Markdown" menu item.  This means that MultiMarkdown-specific features such as tables, footnotes, metadata, etc. are not highlighted and are treated as plain text.

The highlighting engine in Composer version 2 has been completely rebuilt from the ground up.  It uses the same parser structure as MultiMarkdown itself, so it should accurately reflect the actual output you will see when the document is processed --- many other applications use their own parsing rules which lead to inaccurate highlighting.  The highlighting performance has been heavily optimized for version 2 --- even on extremely long documents, the highlighter won't slow you down!  (For example, it easily handles documents of 45,000 words, or 275k --- or longer.)
