Title:	Style Themes  
CSS:	../Style/default.css  
AppleTitle:	MultiMarkdown Composer Help
AppleIcon:	Images/ComposerIcon.png
Description:	Style Themes allow you to customize the appearance and functionality of Composer.

<a name="styles"></a>

# ![Icon](../Images/ComposerIcon.png) Style Themes #

<a href="styles"></a>MultiMarkdown Composer has a completely new method for handling Style Themes.  Style themes allow you to customize almost everything about Composer' appearance:

* the font and size used for every element (e.g. body, headers, code spans, ...)
* the foreground and background colors for each element
* foreground and background colors for markup elements
* line justification
* margins
* bold, italics, underline
* kerning
* CSS used for the preview
* and more!

Style themes are written as [plist files](http://en.wikipedia.org/wiki/Property_list). These are plain text files that can be easily edited by hand.  The best way to get started is to modify an existing theme. (**Note** --- you will have to use another text editor aside from Composer to edit these files, since opening them in Composer would install them, not edit them.  You can use TextEdit, though I would recommend TextMate or another full-featured programming editor if you have one.  You can also use Apple's Property List Editor application.)

Several themes are included in the Composer application.  When you use any of these themes, a copy is stored in your Library. You can edit these local copies if desired.  The "[Appearance](appearance.html)" pane in the Preferences dialog has a button that will automatically open the styles folder for you.

A sample Style Sheet with explanation is [available](sample.html).

